# report.rb

Path: | lib/bio/appl/sosui/report.rb
Last Update: | Thu Nov 19 15:47:02 +0000 2009

# bio/appl/sosui/report.rb - SOSUI report class

Copyright: | Copyright (C) 2003 Mitsuteru C. Nakao <n@bioruby.org>
License: | The Ruby License

     $Id: report.rb,v 1.11 2007/04/05 23:35:40 trevor Exp $

## Example

## References

- sosui.proteome.bio.tuat.ac.jp/sosui_submit.html

### Required files

pp

### Methods

hoge

### External Aliases

pp | -> | p

### Public Instance methods

hoge(ent)

[Source]

         # File lib/bio/appl/sosui/report.rb, line 128
    128:   def hoge(ent)
    129:     puts '==='
    130:     puts ent
    131:     puts '==='
    132:     sosui = Bio::SOSUI::Report.new(ent)
    133:     p [:entry_id, sosui.entry_id]
    134:     p [:prediction, sosui.prediction]
    135:     p [:tmhs.size, sosui.tmhs]
    136:     pp [:tmhs, sosui.tmh]
    137:   end

[Validate]